Skip to main content

🚀 Quickstart

Connect to Supabase with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Supabase.
2

Connect Supabase

Go to Connections -> Add Test Connection -> enter your Project URL and secret key. Later, you’ll let your users do the same directly from your app.
3

Call the Supabase API

Make your first request to the Supabase REST API (query a table). Replace the placeholders below: use your secret key, integration ID, and connection ID, and replace <your_table> with your table name (e.g. todos, users).
curl "https://api.nango.dev/proxy/rest/v1/<your_table>" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
✅ You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your Project URL and secret key, follow the connect guide linked below.

📚 Supabase Integration Guides

Official docs: Supabase API

🧩 Pre-built syncs & actions for Supabase

Enable them in your dashboard. Extend and customize to fit your needs. No pre-built syncs or actions available yet.
Not seeing the integration you need? Build your own independently.